打印

Let's Encrypt SSL Certificate create failed! 怎么安装SSL 都是失败为什么

没有具体错误信息没法说

TOP

回复 4# 的帖子

1.4上本来就不直接写入php.ini,官网更新记录里有说明,只要提示安装成功了就行



Collecting letsencrypt==0.7.0 (from -r /tmp/tmp.DIwFmghlXe/letsencrypt-auto-requirements.txt (line 203))
  Downloading https://pypi.doubanio.com/packages/fd/21/0c6f33829fadec8aca0c1ebb4d6f8101c05899356a58d1b2e506cb77cf18/letsencrypt-0.7.0-py2-none-any.whl
Collecting certbot==0.20.0 (from -r /tmp/tmp.DIwFmghlXe/letsencrypt-auto-requirements.txt (line 203))
  Could not find a version that satisfies the requirement certbot==0.20.0 (from -r /tmp/tmp.DIwFmghlXe/letsencrypt-auto-requirements.txt (line 203)) (from versions: 0.6.0, 0.7.0, 0.8.0, 0.8.1, 0.9.0, 0.9.1, 0.9.2, 0.9.3, 0.10.0, 0.10.1, 0.10.2, 0.11.0, 0.11.1, 0.12.0, 0.13.0, 0.14.0, 0.14.1, 0.14.2, 0.15.0, 0.16.0, 0.17.0, 0.18.0, 0.18.1, 0.18.2, 0.19.0)
No matching distribution found for certbot==0.20.0 (from -r /tmp/tmp.DIwFmghlXe/letsencrypt-auto-requirements.txt (line 203))
=====================================================
Certbot has problem setting up the virtual environment.

这个问题可能是certbot 0.20.0 这个版本刚发布,国内源上还没同步过来,可以修改 ~/.pip/pip.conf 换个pip源试试

TOP